summaryrefslogtreecommitdiff
path: root/Biz/Ide/hooks/reference-transaction
diff options
context:
space:
mode:
authorBen Sima <ben@bsima.me>2024-04-01 16:35:15 -0400
committerBen Sima <ben@bsima.me>2024-04-01 16:35:15 -0400
commit99e114f5c598ce6321c81bbe41e212877a3c375c (patch)
tree07b2ac7c96c0970291bce7691aa58054bd1f965a /Biz/Ide/hooks/reference-transaction
parent4c7327d144a1e1fd2bd2cfa6a9c49b838674bdd8 (diff)
Make bild exception for git hooks
Apparently git hooks don't get called if they have a file extention, so these weren't getting called at all since commit 904de577261e7024373e7a42fd763184764238f9. So this renames them back to the extension-less versions, and adds an exception in bild for files in the core.hooksPath directory. Unfortunately this means Lint.hs will silently ignore these files, but I guess that's okay for now.
Diffstat (limited to 'Biz/Ide/hooks/reference-transaction')
-rwxr-xr-xBiz/Ide/hooks/reference-transaction12
1 files changed, 12 insertions, 0 deletions
diff --git a/Biz/Ide/hooks/reference-transaction b/Biz/Ide/hooks/reference-transaction
new file mode 100755
index 0000000..ea0cce6
--- /dev/null
+++ b/Biz/Ide/hooks/reference-transaction
@@ -0,0 +1,12 @@
+#!/bin/sh
+## START BRANCHLESS CONFIG
+
+# Avoid canceling the reference transaction in the case that `branchless` fails
+# for whatever reason.
+git branchless hook reference-transaction "$@" || (
+echo 'branchless: Failed to process reference transaction!'
+echo 'branchless: Some events (e.g. branch updates) may have been lost.'
+echo 'branchless: This is a bug. Please report it.'
+)
+
+## END BRANCHLESS CONFIG